Debian DLA-3225-1:awstats - LTS 安全性更新

medium Nessus Plugin ID 168404

Synopsis

遠端 Debian 主機缺少與安全性相關的更新。

描述

遠端 Debian 10 主機上安裝的套件受 dla-3225 公告中提及的一個弱點影響。

- 由於打印來自 Net 的回應,低於 7.8 版的 AWStats 7.x 版在 hostinfo 外掛程式中允許 XSS:: 沒有適當檢查的 Xwhois。(CVE-2022-46391)

請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

升級 awstats 套件。

針對 Debian 10 buster,已在 7.6+dfsg-2+deb10u2 版中修正此問題。

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1025410

https://security-tracker.debian.org/tracker/source-package/awstats

https://www.debian.org/lts/security/2022/dla-3225

https://security-tracker.debian.org/tracker/CVE-2022-46391

https://packages.debian.org/source/buster/awstats

Plugin 詳細資訊

嚴重性: Medium

ID: 168404

檔案名稱: debian_DLA-3225.nasl

版本: 1.3

類型: local

代理程式: unix

已發布: 2022/12/5

已更新: 2022/12/7

支持的傳感器: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.8

CVSS v2

風險因素: Medium

基本分數: 6.4

時間分數: 4.7

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:N

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2022-46391

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.3

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:awstats, cpe:/o:debian:debian_linux:10.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/12/5

弱點發布日期: 2022/12/4

參考資訊

CVE: CVE-2022-46391